Bug 591487 - MPathError: multipath activation failed for 'mpatha'
Summary: MPathError: multipath activation failed for 'mpatha'
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: anaconda
Version: 6.0
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Peter Jones
QA Contact: Release Test Team
URL:
Whiteboard: anaconda_trace_hash:f36c794b0e5715b24...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-12 11:52 UTC by James G. Brown III
Modified: 2014-12-01 23:07 UTC (History)
3 users (show)

Fixed In Version: anaconda-13.21.40-1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-11-15 13:51:24 UTC
Target Upstream Version:


Attachments (Terms of Use)
Attached traceback automatically from anaconda. (634.80 KB, text/plain)
2010-05-12 11:52 UTC, James G. Brown III
no flags Details
anaconda.log-38.1 (9.84 KB, application/x-troff-man)
2010-05-12 11:54 UTC, James G. Brown III
no flags Details
syslog.38-1 (418.82 KB, application/octet-stream)
2010-05-12 12:15 UTC, James G. Brown III
no flags Details

Description James G. Brown III 2010-05-12 11:52:11 UTC
The following was filed automatically by anaconda:
anaconda 13.21.38 exception report
Traceback (most recent call first):
  File "/usr/lib/anaconda/storage/devices.py", line 3169, in setup
    self.name)
  File "/usr/lib/anaconda/storage/partitioning.py", line 804, in doPartitioning
    disk.setup()
  File "/usr/lib/anaconda/storage/partitioning.py", line 214, in doAutoPartition
    exclusiveDisks=anaconda.id.storage.clearPartDisks)
  File "/usr/lib/anaconda/dispatch.py", line 205, in moveStep
    rc = stepFunc(self.anaconda)
  File "/usr/lib/anaconda/dispatch.py", line 126, in gotoNext
    self.moveStep()
  File "/usr/lib/anaconda/gui.py", line 1260, in nextClicked
    self.anaconda.dispatch.gotoNext()
MPathError: multipath activation failed for 'mpatha'

Comment 1 James G. Brown III 2010-05-12 11:52:16 UTC
Created attachment 413404 [details]
Attached traceback automatically from anaconda.

Comment 2 James G. Brown III 2010-05-12 11:54:57 UTC
Created attachment 413406 [details]
anaconda.log-38.1

Comment 4 James G. Brown III 2010-05-12 12:15:06 UTC
Created attachment 413408 [details]
syslog.38-1

Installing with nightly 5/12 anaconda-13.21.38-1. I've started a boot from san installation using mpath. Should I still be using mpath?

When presented with available storage at the Basic storage screen I see 4 disks which is only really 1 disk with 4 paths. Should this be showing up as Specialized Storage Devices? I am presuming this is what is intended by the comment "Installs or upgrades to devices such as Storage Area Networks (SANs)..."

Using either one or all of the disks presented and clicking next continues the installation so no huge problem there although not very intuitive. We should only be presented with one disk not all the paths to the same disk (The serial number and Identifier for the disks are the same for all paths/disks which should allow anaconda to filter and present just the one)...

After clicking next at with the default "Replace Existing Linux System(s)" I am presented with 2 options "Data Storage Devices (to be mounted only)" where there should only be 1 as it is the same disk, although they are presented slightly differently as far as their names; 1742-900 and IBM 1742-900.

Selecting the IBM 1742-900 says couldn't find enough free space try to use another formating. When selecting the other option 1742-900 I receive this unhandled exception.

Comment 5 James G. Brown III 2010-05-12 13:06:25 UTC
FYI, changing the partitioning to "Use All Space" progresses to the package selection screen, effectively getting me beyond the unhandled exception reported here. Didn't know if that would be a useful data point

Comment 6 RHEL Program Management 2010-05-12 13:17:48 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.

Comment 7 Peter Jones 2010-05-21 18:38:34 UTC
I think this should be fixed in 13.21.40-1 (as of 2010-May-14).  Please try on a newer snapshot.

Comment 11 releng-rhel@redhat.com 2010-11-15 13:51:24 UTC
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.